Bug 160598

Summary: [PATCH]x11-toolkits/scintilla: fix linking, sparc64 build, respect LDFLAGS, trim patch
Product: Ports & Packages Reporter: Brendan Fabeny <bf>
Component: Individual Port(s)Assignee: Brendan Fabeny <bf>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Brendan Fabeny freebsd_committer 2011-09-09 21:10:02 UTC
--Remove USE_GCC=4.2+ which is satisfied by all supported versions of FreeBSD, and prevents builds with later versions of GCC.

--Pass LDFLAGS to build, and use them and CXXFLAGS in linking -- some flags requires this.

--Fix typo in PICFLAG -- sparc64 has none(it should use -fPIC), and other archs are assigned both -fPIC and -fpic(they should just use -fpic). Pass to build in the standard way via CFLAGS (added to CXXFLAGS by default).

--Trim the patch a bit -- remove some lines rather than commenting them out (they're still in the body of the patch for reference)

--Since we're already altering the CXXFLAGS line, just use the patch to get rid of -Os, eliminating the extra sed pattern 

--Fix linking:

define and use a CONFIGLIBS variable -- the $(CONFIGFLAGS:cflags=libs) construct isn't working, because substitution is occurring too late, as can be seen in build logs -- for example:

http://pointyhat.freebsd.org/errorlogs/amd64-9-latest-logs/scintilla-2.28.log

meaning that the resulting libraries are missing all of the ELF DT_NEEDED flags for gtk, etc.

Re-order link lines, so that they are in proper link order, and add --as-needed.  This can of course cause problems if there are unresolved symbols in any of the gtk libraries, or problems with link order in the pkg-config output, which is why it is not turned on by default everywhere, but on the other hand it can trim many unneeded dependencies, and is currently being used without problems on the same libraries in the associated port editors/scite.  But if there are some doubts about this part of the patch, I'll remove --as-needed.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-09-09 21:10:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-09-09 21:10:17 UTC
Maintainer of x11-toolkits/scintilla,

Please note that PR ports/160598 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/160598

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-09-09 21:10:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Naram Qashat 2011-09-10 15:52:41 UTC
I approve this patch.

Naram Qashat

On 09/09/11 16:10, Edwin Groothuis wrote:
> Maintainer of x11-toolkits/scintilla,
>
> Please note that PR ports/160598 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/160598
>
Comment 5 dfilter service freebsd_committer 2011-09-13 12:30:36 UTC
bf          2011-09-13 11:30:22 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/scintilla Makefile 
    x11-toolkits/scintilla/files patch-aa 
  Log:
  Fix linking and sparc64 build; small clean-up
  
  PR:             160598
  Approved by:    Naram Qashat (maintainer)
  
  Revision  Changes    Path
  1.65      +7 -5      ports/x11-toolkits/scintilla/Makefile
  1.27      +13 -24    ports/x11-toolkits/scintilla/files/patch-aa
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Brendan Fabeny freebsd_committer 2011-09-13 12:49:00 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!